varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform lowp float intensity;

void main()
{
    highp vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
    highp vec4 textureColor2 = texture2D(inputImageTexture2, textureCoordinate2);

    highp float red = min(max((textureColor.r - intensity * textureColor2.r) / (1.0 - intensity), 0.0), 1.0);
    highp float green = min(max((textureColor.g - intensity * textureColor2.g) / (1.0 - intensity), 0.0), 1.0);
    highp float blue = min(max((textureColor.b - intensity * textureColor2.b) / (1.0 - intensity), 0.0), 1.0);
    gl_FragColor = vec4(red, green, blue, textureColor.w);
    //gl_FragColor = vec4(intensity, 0, 0, 1.0);
    //gl_FragColor = textureColor2;
}